<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_13) on Fri Feb 08 19:40:59 CET 2008 -->
<META http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
<TITLE>
IdleConnectionTimeoutThread (HttpClient 3.1 API)
</TITLE>

<META NAME="keywords" CONTENT="org.apache.commons.httpclient.util.IdleConnectionTimeoutThread class">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="IdleConnectionTimeoutThread (HttpClient 3.1 API)";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/IdleConnectionTimeoutThread.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../org/apache/commons/httpclient/util/IdleConnectionHandler.html" title="class in org.apache.commons.httpclient.util"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../../org/apache/commons/httpclient/util/LangUtils.html" title="class in org.apache.commons.httpclient.util"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?org/apache/commons/httpclient/util/IdleConnectionTimeoutThread.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="IdleConnectionTimeoutThread.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;<A HREF="#nested_classes_inherited_from_class_java.lang.Thread">NESTED</A>&nbsp;|&nbsp;<A HREF="#fields_inherited_from_class_java.lang.Thread">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
org.apache.commons.httpclient.util</FONT>
<BR>
Class IdleConnectionTimeoutThread</H2>
<PRE>
<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">java.lang.Object</A>
  <IMG SRC="../../../../../resources/inherit.gif" ALT="extended by "><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Thread.html" title="class or interface in java.lang">java.lang.Thread</A>
      <IMG SRC="../../../../../resources/inherit.gif" ALT="extended by "><B>org.apache.commons.httpclient.util.IdleConnectionTimeoutThread</B>
</PRE>
<DL>
<DT><B>All Implemented Interfaces:</B> <DD><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Runnable.html" title="class or interface in java.lang">Runnable</A></DD>
</DL>
<HR>
<DL>
<DT><PRE>public class <B>IdleConnectionTimeoutThread</B><DT>extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Thread.html" title="class or interface in java.lang">Thread</A></DL>
</PRE>

<P>
A utility class for periodically closing idle connections.
<P>

<P>
<DL>
<DT><B>Since:</B></DT>
  <DD>3.0</DD>
<DT><B>See Also:</B><DD><A HREF="../../../../../org/apache/commons/httpclient/HttpConnectionManager.html#closeIdleConnections(long)"><CODE>HttpConnectionManager.closeIdleConnections(long)</CODE></A></DL>
<HR>

<P>
<!-- ======== NESTED CLASS SUMMARY ======== -->

<A NAME="nested_class_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Nested Class Summary</B></FONT></TH>
</TR>
</TABLE>
&nbsp;<A NAME="nested_classes_inherited_from_class_java.lang.Thread"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Nested classes/interfaces inherited from class java.lang.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Thread.html" title="class or interface in java.lang">Thread</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Thread.State.html" title="class or interface in java.lang">Thread.State</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Thread.UncaughtExceptionHandler.html" title="class or interface in java.lang">Thread.UncaughtExceptionHandler</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<!-- =========== FIELD SUMMARY =========== -->

<A NAME="field_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Field Summary</B></FONT></TH>
</TR>
</TABLE>
&nbsp;<A NAME="fields_inherited_from_class_java.lang.Thread"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Fields inherited from class java.lang.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Thread.html" title="class or interface in java.lang">Thread</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Thread.html#MAX_PRIORITY" title="class or interface in java.lang">MAX_PRIORITY</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Thread.html#MIN_PRIORITY" title="class or interface in java.lang">MIN_PRIORITY</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Thread.html#NORM_PRIORITY" title="class or interface in java.lang">NORM_PRIORITY</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../org/apache/commons/httpclient/util/IdleConnectionTimeoutThread.html#IdleConnectionTimeoutThread()">IdleConnectionTimeoutThread</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/commons/httpclient/util/IdleConnectionTimeoutThread.html#addConnectionManager(org.apache.commons.httpclient.HttpConnectionManager)">addConnectionManager</A></B>(<A HREF="../../../../../org/apache/commons/httpclient/HttpConnectionManager.html" title="interface in org.apache.commons.httpclient">HttpConnectionManager</A>&nbsp;connectionManager)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Adds a connection manager to be handled by this class.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/commons/httpclient/util/IdleConnectionTimeoutThread.html#handleCloseIdleConnections(org.apache.commons.httpclient.HttpConnectionManager)">handleCloseIdleConnections</A></B>(<A HREF="../../../../../org/apache/commons/httpclient/HttpConnectionManager.html" title="interface in org.apache.commons.httpclient">HttpConnectionManager</A>&nbsp;connectionManager)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Handles calling <A HREF="../../../../../org/apache/commons/httpclient/HttpConnectionManager.html#closeIdleConnections(long)"><CODE>closeIdleConnections()</CODE></A>
 and doing any other cleanup work on the given connection mangaer.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/commons/httpclient/util/IdleConnectionTimeoutThread.html#removeConnectionManager(org.apache.commons.httpclient.HttpConnectionManager)">removeConnectionManager</A></B>(<A HREF="../../../../../org/apache/commons/httpclient/HttpConnectionManager.html" title="interface in org.apache.commons.httpclient">HttpConnectionManager</A>&nbsp;connectionManager)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Removes the connection manager from this class.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/commons/httpclient/util/IdleConnectionTimeoutThread.html#run()">run</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Closes idle connections.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/commons/httpclient/util/IdleConnectionTimeoutThread.html#setConnectionTimeout(long)">setConnectionTimeout</A></B>(long&nbsp;connectionTimeout)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sets the timeout value to use when testing for idle connections.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/commons/httpclient/util/IdleConnectionTimeoutThread.html#setTimeoutInterval(long)">setTimeoutInterval</A></B>(long&nbsp;timeoutInterval)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sets the interval used by this class between closing idle connections.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/commons/httpclient/util/IdleConnectionTimeoutThread.html#shutdown()">shutdown</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Stops the thread used to close idle connections.</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Thread"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Thread.html" title="class or interface in java.lang">Thread</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Thread.html#activeCount()" title="class or interface in java.lang">activeCount</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Thread.html#checkAccess()" title="class or interface in java.lang">checkAccess</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Thread.html#countStackFrames()" title="class or interface in java.lang">countStackFrames</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Thread.html#currentThread()" title="class or interface in java.lang">currentThread</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Thread.html#destroy()" title="class or interface in java.lang">destroy</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Thread.html#dumpStack()" title="class or interface in java.lang">dumpStack</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Thread.html#enumerate(java.lang.Thread[])" title="class or interface in java.lang">enumerate</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Thread.html#getAllStackTraces()" title="class or interface in java.lang">getAllStackTraces</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Thread.html#getContextClassLoader()" title="class or interface in java.lang">getContextClassLoader</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Thread.html#getDefaultUncaughtExceptionHandler()" title="class or interface in java.lang">getDefaultUncaughtExceptionHandler</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Thread.html#getId()" title="class or interface in java.lang">getId</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Thread.html#getName()" title="class or interface in java.lang">getName</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Thread.html#getPriority()" title="class or interface in java.lang">getPriority</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Thread.html#getStackTrace()" title="class or interface in java.lang">getStackTrace</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Thread.html#getState()" title="class or interface in java.lang">getState</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Thread.html#getThreadGroup()" title="class or interface in java.lang">getThreadGroup</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Thread.html#getUncaughtExceptionHandler()" title="class or interface in java.lang">getUncaughtExceptionHandler</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Thread.html#holdsLock(java.lang.Object)" title="class or interface in java.lang">holdsLock</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Thread.html#interrupt()" title="class or interface in java.lang">interrupt</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Thread.html#interrupted()" title="class or interface in java.lang">interrupted</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Thread.html#isAlive()" title="class or interface in java.lang">isAlive</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Thread.html#isDaemon()" title="class or interface in java.lang">isDaemon</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Thread.html#isInterrupted()" title="class or interface in java.lang">isInterrupted</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Thread.html#join()" title="class or interface in java.lang">join</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Thread.html#join(long)" title="class or interface in java.lang">join</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Thread.html#join(long, int)" title="class or interface in java.lang">join</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Thread.html#resume()" title="class or interface in java.lang">resume</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Thread.html#setContextClassLoader(java.lang.ClassLoader)" title="class or interface in java.lang">setContextClassLoader</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Thread.html#setDaemon(boolean)" title="class or interface in java.lang">setDaemon</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Thread.html#setDefaultUncaughtExceptionHandler(java.lang.Thread.UncaughtExceptionHandler)" title="class or interface in java.lang">setDefaultUncaughtExceptionHandler</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Thread.html#setName(java.lang.String)" title="class or interface in java.lang">setName</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Thread.html#setPriority(int)" title="class or interface in java.lang">setPriority</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Thread.html#setUncaughtExceptionHandler(java.lang.Thread.UncaughtExceptionHandler)" title="class or interface in java.lang">setUncaughtExceptionHandler</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Thread.html#sleep(long)" title="class or interface in java.lang">sleep</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Thread.html#sleep(long, int)" title="class or interface in java.lang">sleep</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Thread.html#start()" title="class or interface in java.lang">start</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Thread.html#stop()" title="class or interface in java.lang">stop</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Thread.html#stop(java.lang.Throwable)" title="class or interface in java.lang">stop</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Thread.html#suspend()" title="class or interface in java.lang">suspend</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Thread.html#toString()" title="class or interface in java.lang">toString</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Thread.html#yield()" title="class or interface in java.lang">yield</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#clone()" title="class or interface in java.lang">clone</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#equals(java.lang.Object)" title="class or interface in java.lang">equals</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#finalize()" title="class or interface in java.lang">finalize</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#getClass()" title="class or interface in java.lang">getClass</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#hashCode()" title="class or interface in java.lang">hashCode</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notify()" title="class or interface in java.lang">notify</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notifyAll()" title="class or interface in java.lang">notifyAll</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait()" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long)" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long, int)" title="class or interface in java.lang">wait</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="IdleConnectionTimeoutThread()"><!-- --></A><H3>
IdleConnectionTimeoutThread</H3>
<PRE>
public <B>IdleConnectionTimeoutThread</B>()</PRE>
<DL>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="addConnectionManager(org.apache.commons.httpclient.HttpConnectionManager)"><!-- --></A><H3>
addConnectionManager</H3>
<PRE>
public void <B>addConnectionManager</B>(<A HREF="../../../../../org/apache/commons/httpclient/HttpConnectionManager.html" title="interface in org.apache.commons.httpclient">HttpConnectionManager</A>&nbsp;connectionManager)</PRE>
<DL>
<DD>Adds a connection manager to be handled by this class.  
 <A HREF="../../../../../org/apache/commons/httpclient/HttpConnectionManager.html#closeIdleConnections(long)"><CODE>HttpConnectionManager.closeIdleConnections(long)</CODE></A> will be called on the connection
 manager every <A HREF="../../../../../org/apache/commons/httpclient/util/IdleConnectionTimeoutThread.html#setTimeoutInterval(long)"><CODE>timeoutInterval</CODE></A> milliseconds.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>connectionManager</CODE> - The connection manager to add</DL>
</DD>
</DL>
<HR>

<A NAME="removeConnectionManager(org.apache.commons.httpclient.HttpConnectionManager)"><!-- --></A><H3>
removeConnectionManager</H3>
<PRE>
public void <B>removeConnectionManager</B>(<A HREF="../../../../../org/apache/commons/httpclient/HttpConnectionManager.html" title="interface in org.apache.commons.httpclient">HttpConnectionManager</A>&nbsp;connectionManager)</PRE>
<DL>
<DD>Removes the connection manager from this class.  The idle connections from the connection
 manager will no longer be automatically closed by this class.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>connectionManager</CODE> - The connection manager to remove</DL>
</DD>
</DL>
<HR>

<A NAME="handleCloseIdleConnections(org.apache.commons.httpclient.HttpConnectionManager)"><!-- --></A><H3>
handleCloseIdleConnections</H3>
<PRE>
protected void <B>handleCloseIdleConnections</B>(<A HREF="../../../../../org/apache/commons/httpclient/HttpConnectionManager.html" title="interface in org.apache.commons.httpclient">HttpConnectionManager</A>&nbsp;connectionManager)</PRE>
<DL>
<DD>Handles calling <A HREF="../../../../../org/apache/commons/httpclient/HttpConnectionManager.html#closeIdleConnections(long)"><CODE>closeIdleConnections()</CODE></A>
 and doing any other cleanup work on the given connection mangaer.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>connectionManager</CODE> - The connection manager to close idle connections for</DL>
</DD>
</DL>
<HR>

<A NAME="run()"><!-- --></A><H3>
run</H3>
<PRE>
public void <B>run</B>()</PRE>
<DL>
<DD>Closes idle connections.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Runnable.html#run()" title="class or interface in java.lang">run</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Runnable.html" title="class or interface in java.lang">Runnable</A></CODE><DT><B>Overrides:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Thread.html#run()" title="class or interface in java.lang">run</A></CODE> in class <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Thread.html" title="class or interface in java.lang">Thread</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="shutdown()"><!-- --></A><H3>
shutdown</H3>
<PRE>
public void <B>shutdown</B>()</PRE>
<DL>
<DD>Stops the thread used to close idle connections.  This class cannot be used once shutdown.
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="setConnectionTimeout(long)"><!-- --></A><H3>
setConnectionTimeout</H3>
<PRE>
public void <B>setConnectionTimeout</B>(long&nbsp;connectionTimeout)</PRE>
<DL>
<DD>Sets the timeout value to use when testing for idle connections.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>connectionTimeout</CODE> - The connection timeout in milliseconds<DT><B>See Also:</B><DD><A HREF="../../../../../org/apache/commons/httpclient/HttpConnectionManager.html#closeIdleConnections(long)"><CODE>HttpConnectionManager.closeIdleConnections(long)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="setTimeoutInterval(long)"><!-- --></A><H3>
setTimeoutInterval</H3>
<PRE>
public void <B>setTimeoutInterval</B>(long&nbsp;timeoutInterval)</PRE>
<DL>
<DD>Sets the interval used by this class between closing idle connections.  Idle 
 connections will be closed every <code>timeoutInterval</code> milliseconds.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>timeoutInterval</CODE> - The timeout interval in milliseconds</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/IdleConnectionTimeoutThread.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../org/apache/commons/httpclient/util/IdleConnectionHandler.html" title="class in org.apache.commons.httpclient.util"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../../org/apache/commons/httpclient/util/LangUtils.html" title="class in org.apache.commons.httpclient.util"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?org/apache/commons/httpclient/util/IdleConnectionTimeoutThread.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="IdleConnectionTimeoutThread.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;<A HREF="#nested_classes_inherited_from_class_java.lang.Thread">NESTED</A>&nbsp;|&nbsp;<A HREF="#fields_inherited_from_class_java.lang.Thread">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>
Copyright &copy; 2001-2008 Apache Software Foundation. All Rights Reserved.
</BODY>
</HTML>
